subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arfre...@apache.org
Subject svn commit: r1134071 - in /subversion/trunk: build/ac-macros/swig.m4 subversion/bindings/swig/INSTALL
Date Thu, 09 Jun 2011 20:50:19 GMT
Author: arfrever
Date: Thu Jun  9 20:50:18 2011
New Revision: 1134071

URL: http://svn.apache.org/viewvc?rev=1134071&view=rev
Log:
Remove check for maximal version of SWIG.

* build/ac-macros/swig.m4
  (SVN_FIND_SWIG): Remove check for maximal version of SWIG.

* subversion/bindings/swig/INSTALL: Update documentation.

Modified:
    subversion/trunk/build/ac-macros/swig.m4
    subversion/trunk/subversion/bindings/swig/INSTALL

Modified: subversion/trunk/build/ac-macros/swig.m4
URL: http://svn.apache.org/viewvc/subversion/trunk/build/ac-macros/swig.m4?rev=1134071&r1=1134070&r2=1134071&view=diff
==============================================================================
--- subversion/trunk/build/ac-macros/swig.m4 (original)
+++ subversion/trunk/build/ac-macros/swig.m4 Thu Jun  9 20:50:18 2011
@@ -92,15 +92,12 @@ AC_DEFUN(SVN_FIND_SWIG,
     #   packages/rpm/redhat-7.x/subversion.spec
     #   packages/rpm/rhel-3/subversion.spec
     #   packages/rpm/rhel-4/subversion.spec
-    if test -n "$SWIG_VERSION" &&
-       test "$SWIG_VERSION" -ge "103024" &&
-       test "$SWIG_VERSION" -le "200002"; then
+    if test -n "$SWIG_VERSION" && test "$SWIG_VERSION" -ge "103024"; then
       SWIG_SUITABLE=yes
     else
       SWIG_SUITABLE=no
       AC_MSG_WARN([Detected SWIG version $SWIG_VERSION_RAW])
-      AC_MSG_WARN([Subversion requires 1.3.24 or later, and is known to work])
-      AC_MSG_WARN([with versions up to 2.0.2])
+      AC_MSG_WARN([Subversion requires SWIG 1.3.24 or later])
     fi
   fi
  

Modified: subversion/trunk/subversion/bindings/swig/INSTALL
URL: http://svn.apache.org/viewvc/subversion/trunk/subversion/bindings/swig/INSTALL?rev=1134071&r1=1134070&r2=1134071&view=diff
==============================================================================
--- subversion/trunk/subversion/bindings/swig/INSTALL (original)
+++ subversion/trunk/subversion/bindings/swig/INSTALL Thu Jun  9 20:50:18 2011
@@ -65,7 +65,7 @@ BUILDING SWIG BINDINGS FOR SVN ON UNIX
 
 
 Step 1:  Install a suitable version of SWIG (which is
-         currently swig version 1.3.24 - 2.0.2).
+         currently SWIG version 1.3.24 or later).
 
     * Perhaps your distribution packages a suitable version - if it does
       install it, and skip to the last bullet point in this section.



Mime
View raw message